set_mode:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    mode:
      required: true
      selector:
        select:
          options:
            - "color_flow"
            - "hsv"
            - "last"
            - "moonlight"
            - "normal"
            - "rgb"
          translation_key: mode
set_color_scene:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    rgb_color:
      example: "[255, 100, 100]"
      selector:
        color_rgb:
    brightness:
      selector:
        number:
          min: 0
          max: 100
          unit_of_measurement: "%"
set_hsv_scene:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    hs_color:
      example: "[300, 70]"
      selector:
        object:
    brightness:
      selector:
        number:
          min: 0
          max: 100
          unit_of_measurement: "%"
set_color_temp_scene:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    kelvin:
      selector:
        number:
          min: 1700
          max: 6500
          step: 100
          unit_of_measurement: K
    brightness:
      selector:
        number:
          min: 0
          max: 100
          unit_of_measurement: "%"
set_color_flow_scene:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    count:
      default: 0
      selector:
        number:
          min: 0
          max: 100
    action:
      default: "recover"
      selector:
        select:
          options:
            - "off"
            - "recover"
            - "stay"
          translation_key: action
    transitions:
      example:
        '[{ "TemperatureTransition": [1900, 1000, 80] }, { "TemperatureTransition":
        [1900, 1000, 10] }]'
      selector:
        object:
set_auto_delay_off_scene:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    minutes:
      selector:
        number:
          min: 1
          max: 60
          unit_of_measurement: minutes
    brightness:
      selector:
        number:
          min: 0
          max: 100
          unit_of_measurement: "%"
start_flow:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    count:
      default: 0
      selector:
        number:
          min: 0
          max: 100
    action:
      default: "recover"
      selector:
        select:
          options:
            - "off"
            - "recover"
            - "stay"
          translation_key: action
    transitions:
      example:
        '[{ "TemperatureTransition": [1900, 1000, 80] }, { "TemperatureTransition":
        [1900, 1000, 10] }]'
      selector:
        object:
set_music_mode:
  target:
    entity:
      integration: yeelight
      domain: light
  fields:
    music_mode:
      required: true
      selector:
        boolean:
